<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [UserInterface](./bitburner.userinterface.md) &gt; [setTailFontSize](./bitburner.userinterface.settailfontsize.md)

## UserInterface.setTailFontSize() method

Set the font size of the tail window of a script.

**Signature:**

```typescript
setTailFontSize(pixel?: number, fn?: FilenameOrPID, host?: string, ...args: ScriptArg[]): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pixel | number | _(Optional)_ Optional. The new font size in pixels. If omitted, the default tail font size is used. |
|  fn | [FilenameOrPID](./bitburner.filenameorpid.md) | _(Optional)_ Optional. Filename or PID of the target script. If omitted, the current script is used. |
|  host | string | _(Optional)_ Optional. Hostname/IP of the target script. Defaults to the server this script is running on. If args are specified, this is not optional. |
|  args | [ScriptArg](./bitburner.scriptarg.md)<!-- -->\[\] | Arguments for the target script. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

This overwrites the tail font size and forces an update of the tail window's contents.

If ran without a filename or pid, this will affect the current script's tail window.

Otherwise, the PID or filename, hostname/ip, and args… arguments can be used to target the tail window from another script. Remember that scripts are uniquely identified by both their names and arguments.

